          &dhemail;

&dhfirstname; &dhsurname;
2010
&dhusername;
&dhdate;
&dhucpackage;

&dhsection;

# &dhpackage;

parse and show pattern

          &dhpackage;

          -cdVh
          --config
          --default

            -f format
            --format format

          --version
          --help

          pattern element

## DESCRIPTION

`&dhpackage;` parses pattern (empty pattern by default) and shows the parsed result. If `--config` is given, config substitution is performed on the pattern before being displayed. If `--default` is given, default substitution is performed on the pattern before being displayed.

If any elements are specified, only those are printed.

## OPTIONS

This program follows the usual &gnu; command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

`-c` `--config`

  Perform config substitution on pattern.

`-d` `--default`

  Perform default substitution on pattern.

`-f` `--format` `format`

  Format output according to the format specifier format.

`-V` `--version`

  Show version of the program and exit.

`-h` `--help`

  Show summary of options.

`pattern`

  Parses and displays pattern (uses empty pattern by default).

`element`

  If set, the element property is displayed for parsed pattern.

## SEE ALSO

`FcNameParse`(3) `FcConfigSubstitute`(3) `FcDefaultSubstitute`(3) `FcPatternPrint`(3) `FcPatternFormat`(3) `fc-cat`(1) `fc-cache`(1) `fc-list`(1) `fc-match`(1) `fc-query`(1) `fc-scan`(1)

The fontconfig user's guide, in HTML format: `/usr/share/doc/fontconfig/fontconfig-user.html`.

## AUTHOR

This manual page was updated by &dhusername; &dhemail;.